astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Units and Quantities (`astropy.units`) »
- Generic

# Generic

class `astropy.units.format.generic.``Generic`

  Bases: `astropy.units.format.base.Base`

  A “generic” format.

  The syntax of the format is based directly on the FITS standard, but instead of only supporting the units that FITS knows about, it supports any unit available in the `astropy.units` namespace.

  Methods Summary

  `parse`(s[, debug]) |
  `to_string`(unit) |

  Methods Documentation

  `parse`(s, debug=False)
  `to_string`(unit)